<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;900&display=swap" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter&display=swap">
    <link rel="stylesheet" href="../admin views/css/Admin_schedule.css">
    <link rel="stylesheet" href="../admin views/css/admin_responsive.css">
    <link rel="stylesheet" href="../admin views/css/admin_sidebar.css">
</head>
<body>
     <main class="main">
        <aside class="sidebar">
          <nav class="nav">
            <ul>
                <a href="/adminhome" class="logo img">
                    <img
                src="../admin views/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg"
              />
                </a>
              <li class="active"><a href="/adminhome"><span class="material-symbols-outlined" style="font-size: 1.7em; transform: translateY(0.5rem);">
                overview_key
                </span>
                Tournaments</a></li>
            </ul>
          </nav>
          <a href="/tournamentLogin"><button class="logout">
            Logout</button></a>
        </aside>
        <section class="content">
            <div class="header">
                <h2>Tournaments</h2> 
            </div>
            <div class="contents">
                <h3>Ongoing Tournaments</h3><hr class="line-1">
                <p class="block">Block Tournament</p>
            </div>
            <hr>
            <div class="inline-nav">
                <!-- <a href="/editoverview" >Overview</a>
                <a href="/Admin_structure" >Structure</a>
                <a href="/Admin_Schedule"class="overview">Schedule</a>
                <a href="/stream">Live Streams</a>
                <a href="/announcement">Announcements</a> -->
            </div>
            <hr>
            <div class="content-2">
                <!-- <div class="card">
                    <img src="https://static.vecteezy.com/system/resources/previews/000/674/733/original/vector-gamer-mascot-logo-sticker-design.jpg" alt="" height="70" width="70" class="img1">
                    <p class="team">Onyx Paradox</p>
                    <p class="vs">Vs</p>
                    <p class="team2">Icy Paradise</p>
                    <img src="https://i.pinimg.com/originals/37/96/73/37967347152332c7f2febeefae4fd5ea.jpg" alt="" height="70" width="70" class="img2">
                    <input type="time" id="timeInput" name="timeInput" value="12:00">                
                </div> -->
            </div>
            <a href="edit.html" class="create" style="text-decoration: none;">
                <span class="material-symbols-outlined">
                    add_circle
                </span>
                Create New
            </a>
            <!-- Popup content (hidden by default) -->
    <div class="popup" style="display: none;">
        <h2>Create New</h2>
        <form id="teamForm">
            <label for="team1">Team 1:</label>
            <input type="text" id="team1" name="team1"><br><br>
            <label for="team2">Team 2:</label>
            <input type="text" id="team2" name="team2"><br><br>
            <label for="date">Date:</label>
            <input type="date" id="date" name="date"><br><br>
            <button type="submit" id="saveBtn">Submit</button>
        </form>
    </div>

        </section>
     </main>
</body>
<script
src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js"
integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg=="
crossorigin="anonymous"
referrerpolicy="no-referrer"
></script>
<script>
    // Function to show the popup
    function showPopup() {
        document.querySelector('.popup').style.display = 'block';
    }

    // Function to hide the popup
    function hidePopup() {
        document.querySelector('.popup').style.display = 'none';
    }

    // Add event listener to the "Create New" link
    document.querySelector('.create').addEventListener('click', function(event) {
        event.preventDefault(); // Prevent default link behavior
        showPopup(); // Show the popup
    });

    // Add event listener to the form submission
    document.getElementById('teamForm').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent form submission


        // Hide the popup
        hidePopup();
    });
</script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>
<script src="../admin views/js/izittoast.js"></script>
<script type="module" src="../admin views/js/schedul.js"></script>
</html>